Subject: RE: [midcom] Protocol Eval: 2.2.2 multiple Middlebox types - MEGA CO issue for 2.2.2 and 2.2.3

From: "Cedric Aoun" <[email-masked]>
Date: Wed, 26 Jun 2002 17:56:21 +0200

The current MEGACO compliancy statement to req 2.2.3 is correct,
the requirement is to have capability to have several states on particular
resources to be taken out by one shot by grouping them, as well as the
capability to add these states
under the same group. This grouping is achieved by using a context which is
an existing concept in Megaco.

For the 2.2.2 I think that SNMP, COPS and MEGACO should have total
compliance, since the requirement
is to have the capability to have several functions being ran and controlled
on the box.I agree with SNMP to have
total compliance on 2.2.2

Cedric

-----Original Message-----
From: Martin Stiemerling [mailto:[email-masked]]
Sent: 26 June 2002 10:19
To: Barnes, Mary [NGC:B602:EXCH]
Cc: [email-masked]
Subject: Re: [midcom] Protocol Eval: 2.2.2 multiple Middlebox types -
MEGA CO issue for 2.2.2 and 2.2.3

Mary Barnes wrote:
> Hi Martin,
> 
> I agree that the SNMP should be a T; I think this was an editorial change
> made to P+ when it only had the more general text.  When I added the
> specific text for the last round of comments, it should have been
"upgraded"
> to T.  Thus, I'll also leave COPS as it is. 

OK.

> 
> I think I agree that MEGACO should be P+, but this should probably be
> discussed further.  There is text (added in the -01 version as the result
of
> email discussion) with regards to the description of the context that the
> concept of flow between terminations, which is inherent to the context
model
> is irrelevant, thus I would think this should be a P+ or even a P. But, I
> would definitely like discussion of this on the list. Note, that if we
make
> this change to 2.2.2, then we probably need to make a similar change to
> 2.2.3 as it also suggests the use of contexts to meet this requirement. 

I see, you´re right with 2.2.3. Where are the MEGACO people for the 
discussion?

> 
> Mary.
> 
> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]]
> Sent: Monday, June 24, 2002 7:21 AM
> To: [email-masked]
> Subject: [midcom] Protocol Eval: 2.2.2 Support of multiple Middlebox
> types
> 
> 
> - SNMP:
> SNMP is totally compliant 'T' since the sysObjectID is available.
> - RSIP:
> I agree
> - MEGACO:
> Should be 'P+' since the design of properties or terminations must be 
> done, i.e. it can support this feature but it has to be defined.
> - DIAMETER:
> I agree
> - COPS:
> The meaning of "COPS allows a PDP to provide filters and actions to 
> multiple PEP functions through a single COPS session." holds completely 
> true for SNMP  as well. Additionally for SNMP the direct support 
> described under SNMP is avaiable. My proposal: Either both 'P+' or 'T'.
> 

-- 
Martin Stiemerling

NEC Europe Ltd. -- Network Laboratories  [email-masked]
IPv4: http://www.ccrle.nec.de  IPv6: http://www.ipv6.ccrle.nec.de

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom

---

From: Martin Stiemerling <[email-masked]>
Date: Thu, 27 Jun 2002 10:04:47 +0200

Cedric Aoun wrote:
> under the same group. This grouping is achieved by using a context which 
> is an existing concept in Megaco.
> 
> is to have the capability to have several functions being ran and 
> controlled on the box.I agree with SNMP to have

I agree with both points.

Martin

>  > discussed further.  There is text (added in the -01 version as the 
> result of
>  > concept of flow between terminations, which is inherent to the 
> context model
>  > would definitely like discussion of this on the list. Note, that if 
> we make

-- 
Martin Stiemerling